#include "FireflyCosmeticStatusEffect.h"
#include "Net/UnrealNetwork.h"

class AFireflyLantern;

void UFireflyCosmeticStatusEffect::OnRep_HeldFireflyLantern(AFireflyLantern* oldLantern)
{

}

void UFireflyCosmeticStatusEffect::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UFireflyCosmeticStatusEffect, _heldFireflyLantern);
}

UFireflyCosmeticStatusEffect::UFireflyCosmeticStatusEffect()
{

}
